com.r3corda.node.internal / APIServerImpl / fetchTransactions

# fetchTransactions

`fun fetchTransactions(txs: List<SecureHash>): Map<SecureHash, SignedTransaction?>`
Overrides APIServer.fetchTransactions

Query for immutable transactions (results can be cached indefinitely by their id/hash).

### Parameters

`txs` - The hashes (from StateRef.txhash returned from queryStates) you would like full transactions for.
Return
null values indicate missing transactions from the requested list.